#!/usr/bin/python
# -*- coding: UTF-8 -*-

import logging
import logging.handlers

LOG_FILE = '.\dli-py-sdk.log'
LOG_NAME = 'DLI'
LOG_FMT = '%(asctime)s|%(process)d|%(threadName)s' \
          '|%(levelname)s|%(module)s.%(funcName)s' \
          '|%(message)s|%(filename)s:%(lineno)d'

formatter = logging.Formatter(LOG_FMT)
file_hd = logging.handlers.RotatingFileHandler(LOG_FILE,
                                               maxBytes=1024*1024*30,
                                               backupCount=10)
io_hd = logging.StreamHandler()
file_hd.setFormatter(formatter)
io_hd.setFormatter(formatter)

logger = logging.getLogger(LOG_NAME)
logger.addHandler(file_hd)
logger.addHandler(io_hd)
logger.setLevel(logging.DEBUG)
